Apache JMeter

## org.apache.jmeter.monitor.model
Class MemoryImpl

    java.lang.Object
      org.apache.jmeter.monitor.model.MemoryImpl

All Implemented Interfaces:
  Memory

    public class MemoryImpl

extends Object
implements Memory

Version:
  $Revision: 674365 $

Constructor Summary
`MemoryImpl()`

Method Summary
`long` `getFree()`
`long` `getMax()`
`long` `getTotal()`
`void` `setFree(long value)`
`void` `setMax(long value)`
`void` `setTotal(long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryImpl

    public MemoryImpl()

Method Detail

### getMax

    public long getMax()

  Specified by:
    `getMax` in interface `Memory`

### setMax

    public void setMax(long value)

  Specified by:
    `setMax` in interface `Memory`

### getFree

    public long getFree()

  Specified by:
    `getFree` in interface `Memory`

### setFree

    public void setFree(long value)

  Specified by:
    `setFree` in interface `Memory`

### getTotal

    public long getTotal()

  Specified by:
    `getTotal` in interface `Memory`

### setTotal

    public void setTotal(long value)

  Specified by:
    `setTotal` in interface `Memory`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.